POST api/Streaks/Add
Request Information
URI Parameters
None.
Body Parameters
AddStreakModel| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
None. |
|
| streakId | integer |
None. |
|
| points | integer |
None. |
|
| userId | integer |
None. |
|
| iso | string |
None. |
|
| timeZone | string |
None. |
|
| date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"streakId": 1,
"points": 1,
"userId": 1,
"iso": "sample string 1",
"timeZone": "sample string 2",
"date": "2026-04-12T17:57:38.8549721+03:00"
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"streakId":1,"points":1,"userId":1,"iso":"sample string 1","timeZone":"sample string 2","date":"2026-04-12T17:57:38.8549721+03:00"}
application/xml, text/xml
Sample:
<AddStreakModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountId>1</accountId> <date>2026-04-12T17:57:38.8549721+03:00</date> <iso>sample string 1</iso> <points>1</points> <streakId>1</streakId> <timeZone>sample string 2</timeZone> <userId>1</userId> </AddStreakModel>
multipart/form-data, application/form-data
Sample:
<AddStreakModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountId>1</accountId><date>2026-04-12T17:57:38.8549721+03:00</date><iso>sample string 1</iso><points>1</points><streakId>1</streakId><timeZone>sample string 2</timeZone><userId>1</userId></AddStreakModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.